package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.SubjectChangeStatusEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class SubjectChangeQueryInfo extends QueryInfo {

    private String organIdList;


    @ApiModelProperty(value = "合作单位id",required = false)
    private Integer cooperationOrganId;

    @ApiModelProperty(value = "状态",required = false)
    private SubjectChangeStatusEnum status;

    @ApiModelProperty(value = "开始时间",required = false)
    private Date startTime;

    @ApiModelProperty(value = "结束时间",required = false)
    private Date endTime;


    public String getOrganIdList() {
        return organIdList;
    }

    public void setOrganIdList(String organIdList) {
        this.organIdList = organIdList;
    }


    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getCooperationOrganId() {
        return cooperationOrganId;
    }

    public void setCooperationOrganId(Integer cooperationOrganId) {
        this.cooperationOrganId = cooperationOrganId;
    }

    public SubjectChangeStatusEnum getStatus() {
        return status;
    }

    public void setStatus(SubjectChangeStatusEnum status) {
        this.status = status;
    }
}
